Bug 600983 - /dev/changer symlink not created
/dev/changer symlink not created
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 603051
  Show dependency treegraph
 
Reported: 2010-06-06 18:36 EDT by Wolfgang Denk
Modified: 2010-08-19 21:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: udev-153-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 603051 (view as bug list)
Environment:
Last Closed: 2010-08-19 21:28:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Denk 2010-06-06 18:36:21 EDT
Description of problem:

I have several systems with SCSI Medium Changers (auto-loaders, tape libraries) attached. Up to and including Fedora 12 udev would create a "/dev/changer" symbolic link pointing to the specific /dev/sg* device.  After updating these systems to Fedora 13, these links are missing on all systems. 

Version-Release number of selected component (if applicable):

udev-151-9.fc13.i686, udev-151-9.fc13.x86_64

How reproducible:

always

Steps to Reproduce:
1. Boot a system with a SCSI Medium Changer attached
2. Check that the console log contains output similar to this:
...
ch0: type #1 (mt): 0x0+1 [medium transport]
ch0: type #2 (st): 0x1+7 [storage]
ch0: type #3 (ie): 0x0+0 [import/export]
ch0: type #4 (dt): 0xf0+1 [data transfer]
ch0: dt 0xf0: READ ELEMENT STATUS failed
ch0: INITIALIZE ELEMENT STATUS, may take some time ...
ch0: ... finished
ch 10:0:4:0: Attached scsi changer ch0
ch 10:0:4:0: Attached scsi generic sg6 type 8
...
3. Check if the /dev/changer link is there:
# ls -l /dev/chang*
ls: cannot access /dev/chang*: No such file or directory

  
Actual results:

Link is missing.

Expected results:

Normally, /lib/udev/rules.d/40-redhat.rules would detect that a SCSI type 8 device is there and create symlinks (in the example above, "/dev/changer" and "/dev/changer-sg6").

Additional info:
Comment 1 Harald Hoyer 2010-06-10 10:01:49 EDT
Does it work if you change SUBSYSTEM=="scsi_device" to SUBSYSTEM=="scsi_generic" in /lib/udev/rules.d/40-redhat.rules ?
Comment 2 Wolfgang Denk 2010-06-10 15:42:54 EDT
Indeed - using SUBSYSTEM=="scsi_generic" works fine for me. Thanks a lot!
Comment 3 Fedora Update System 2010-08-05 02:50:01 EDT
udev-153-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/udev-153-2.fc13
Comment 4 Fedora Update System 2010-08-05 19:49:09 EDT
udev-153-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/udev-153-2.fc13
Comment 5 Fedora Update System 2010-08-13 04:39:48 EDT
udev-153-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/udev-153-3.fc13
Comment 6 Fedora Update System 2010-08-19 21:27:27 EDT
udev-153-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.